Summary: The OpenBSD-enhanced version of PD-ksh.
Name: openbsd-ksh
Version: 5.3
Release: 1L
License: Public Domain
Group: System Environment/Shells
URL: http://www.wormhole.hu/~ice/ksh/
Source: openbsd-ksh-5.3.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pmake
PreReq: grep, fileutils

%description
This package contains an enhanced version of PD-ksh, a clone of
the AT&T Korn shell (ksh). The ksh shell is a command interpreter
intended for both interactive and shell script use. Ksh's command
language is a superset of the Bourne shell (sh) language.

This version is the Linux port of the OpenBSD-enhanced PD-ksh
package, with features like Bash-like prompt expansion, comfortable
command-line editing, and more.

%prep
%setup -q

%build

export CFLAGS="$RPM_OPT_FLAGS"
pmake

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,bin,%{_mandir}/man1}

cp ksh $RPM_BUILD_ROOT/bin/
strip $RPM_BUILD_ROOT/bin/ksh
ln $RPM_BUILD_ROOT/bin/ksh $RPM_BUILD_ROOT/bin/rksh
cp ksh.1 $RPM_BUILD_ROOT/%{_mandir}/man1/ksh.1
cp etc/ksh.kshrc $RPM_BUILD_ROOT/etc/

mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf ../../bin/ksh $RPM_BUILD_ROOT/usr/bin/ksh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh" > /etc/shells
	echo "/usr/bin/ksh" >> /etc/shells
else
	if ! grep -q '^/bin/ksh$' /etc/shells ; then
		echo "/bin/ksh" >> /etc/shells
	fi
fi
if ! grep -q '^/usr/bin/ksh$' /etc/shells ; then
	echo "/usr/bin/ksh" >> /etc/shells
fi

%postun
if [ ! -f /bin/ksh ]; then
	grep -v '^/bin/ksh$' /etc/shells | \
		grep -v '^/usr/bin/ksh$' >/etc/shells.new
	cmp -s /etc/shells /etc/shells.new || { \
		mv -f /etc/shells.new /etc/shells; \
		chmod 0644 /etc/shells ; \
	}
fi

%verifyscript

echo -n "Looking for ksh in /etc/shells... "
if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
    echo "ksh missing from /etc/shells" >&2
else
    echo "found"
fi

%files
%defattr(-,root,root)
%doc README NOTES PROJECTS NEWS BUG-REPORTS
%doc CONTRIBUTORS ChangeLog.0 IAFA-PACKAGE
%doc LEGAL ChangeLog
/bin/ksh
/usr/bin/ksh
/etc/ksh.kshrc
%{_mandir}/*/*

%changelog
* Wed May  1 2013 Tamas TEVESZ <ice@extreme.hu> 5.3-1L
- Synchronized with the OpenBSD CVS version
- Updated the bundled arc4random() implementation from
  http://www.linuxfromscratch.org/patches/downloads/\
  glibc/glibc-2.5.1-arc4_prng-3.patch.
* Fri Aug 24 2012 Tamas TEVESZ <ice@extreme.hu> 5.2-1L
  Synchronized with the OpenBSD CVS version
* Tue May 15 2012 Tamas TEVESZ <ice@extreme.hu> 5.1-1L
  Synchronized with the OpenBSD CVS version
* Wed Nov 10 2011 Tamas TEVESZ <ice@extreme.hu> 5.0-1L
  Synchronized with the OpenBSD CVS version
  Tweaks to allow building on FreeBSD [Tom Murphy]
* Fri Sep 10 2010 Tamas TEVESZ <ice@extreme.hu> 4.8-1L
  Synchronized with the OpenBSD CVS version
* Fri Apr 23 2010 Tamas TEVESZ <ice@extreme.hu> 4.7-1L
  Synchronized with the OpenBSD CVS version
* Sat Jun 13 2009 Tamas TEVESZ <ice@extreme.hu> 4.5-1L
  Synchronized with the OpenBSD CVS version
* Fri Jan 18 2008 Tamas TEVESZ <ice@extreme.hu> 4.3-1L
  Synchronized with the OpenBSD CVS version
* Sun Mar 11 2007 Tamas TEVESZ <ice@extreme.hu> 4.1-1L
  Synchronized with the OpenBSD CVS version
  Debian: also add /usr/bin/ksh to /etc/shells
* Thu Sep  7 2006 Tamas TEVESZ <ice@extreme.hu> 4.0-5L
- Added flags needed to support large files to the
  package Makefile; now not only RPM packages have LF
  support.
- Moved NOGCCERROR=1 to the package Makefile.
* Wed Aug  9 2006 Tamas TEVESZ <ice@extreme.hu> 4.0-4L
- Added an arc4random() implementation from
  http://www.linuxfromscratch.org/patches/downloads/\
  glibc/glibc-2.3.5-arc4random-3.patch.
* Tue Aug  1 2006 Tamas TEVESZ <ice@extreme.hu> 4.0-3L
- New versioning scheme (`L' as in `Linux').
- The package descriptions for the Debian and RedHat
  versions now match.
* Mon Jul 31 2006 Tamas TEVESZ <ice@extreme.hu> 4.0-2
- Initial version.
- Spec based on pdksh's.
